Scilab Function

chol - Cholesky factorization

### Calling Sequence

  `[R]=chol(X)`

### Parameters

- `X` : a symmetric positive definite real or complex matrix.

### Description

If `X` is positive definite, then `R = chol(X)` produces an upper triangular matrix `R` such that `R'*R = X`.

`chol(X)` uses only the diagonal and upper triangle of `X`. The lower triangular is assumed to be the (complex conjugate) transpose of the upper.

### REFERENCES

Cholesky decomposition is based on the Lapack routines DPOTRF for real matrices and ZPOTRF for the complex case.

### Examples

    W=rand(5,5)+%i*rand(5,5);
    X=W*W';
    R=chol(X);
    norm(R'*R-X)

### See Also

`spchol` `qr` `svd` `bdiag` `fullrf`